Mail archive
alpine-aports

[alpine-aports] [PATCH 2/2] testing/zathura: new aport

From: Andrew Hills <ahills_at_ednos.net>
Date: Sun, 7 Jun 2015 01:05:34 +0000

https://pwmt.org/projects/zathura
Document viewer with Vim-like controls
---
 testing/zathura/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/zathura/APKBUILD
diff --git a/testing/zathura/APKBUILD b/testing/zathura/APKBUILD
new file mode 100644
index 0000000..0d70b94
--- /dev/null
+++ b/testing/zathura/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Andrew Hills <ahills_at_ednos.net>
+# Maintainer: Andrew Hills <ahills_at_ednos.net>
+pkgname=zathura
+pkgver=0.3.3
+pkgrel=0
+pkgdesc="Document viewer with Vim-like controls"
+url="https://pwmt.org/projects/zathura"
+arch="all"
+license="zlib"
+depends=""
+depends_dev=""
+makedepends="$depends_dev girara-dev gtk+3.0-dev glib-dev file-dev ncurses"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+source="https://pwmt.org/projects/zathura/download/zathura-$pkgver.tar.gz"
+
+_builddir="$srcdir"/zathura-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="d360252210ce51a29e8d341b1b72a7cc  zathura-0.3.3.tar.gz"
+sha256sums="3347decfc8d4b918a6bca1d44657c3b97d4afcea3c8c1f162c57198b13e8dce7  zathura-0.3.3.tar.gz"
+sha512sums="0bfcb2c9ca6e7cf44db1c04fdcc5e1e2122b5bd060c10b711a331f885371a523881a46376c770b60cf199530fd9c7814248e8a6da556da8cd464a3a85dbad8e3  zathura-0.3.3.tar.gz"
-- 
2.4.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Jun 07 2015 - 01:05:34 GMT